hi,
how do I turn on planes, on the parts I selected in the browser?
I know i can turn on all planes in "object visibility". only i dont want all, I only want the ones i selected.
Brian
Solved! Go to Solution.
Solved by ion1000. Go to Solution.
Solved by tdant. Go to Solution.
Hello @bniMW775
Expand the part by clicking the expand icon >.
Then select origin, and select what planes you want, right click and select visibility.
Or if you have planes you created, select then and click viability.
Hope this solves your problem?
Thomas.
well only halfway.
coming from Solid Edge, I could pick my parts, right-click, show reference planes.
and they were shown.
have to expand the parts, manually select the planes and turn them on - not my idea of working smart.
but anyway, thanks for the input.
you could try an ilogic rule to see hide the main planes like this
Dim comps As ObjectCollection Dim comp As Object comps = ThisApplication.TransientObjects.CreateObjectCollection While True comp = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kAssemblyOccurrenceFilter, "Select a component") If IsNothing(comp) Then Exit While comps.Add(comp) End While For Each comp In comps If comp.Definition.WorkPlanes.Item(1).Visible = True Then comp.Definition.WorkPlanes.Item(1).Visible = False comp.Definition.WorkPlanes.Item(2).Visible = False comp.Definition.WorkPlanes.Item(3).Visible = False Else comp.Definition.WorkPlanes.Item(1).Visible = True comp.Definition.WorkPlanes.Item(2).Visible = True comp.Definition.WorkPlanes.Item(3).Visible = True End If iLogicVb.UpdateWhenDone = True Next
Sergio Daniel Suarez
Mechanical Designer
| Upwork Profile | LinkedIn
Hi Brian,
I don't believe Inventor has exact workflow you are looking for. But, may I ask you why you want to see the origin planes of the selected component? Do you want them to appear temporarily? Or, you want them to be visible until you turn them off. Are you trying to create a sketch on an origin plane?
Many thanks!
sometimes i need the planes for constraining the parts.
thats why I want to turn them on/off
I saw your post and decided to use your situation to increase my own skill set, so I wrote a custom plugin that will add the functionality you want. I attached a Windows installer file. If you download and run it, the next time you run Inventor, you'll find a new option in your right-click menu when you're in an assembly file. It'll be called "Show/Hide Planes", and it'll be located right below "Free Rotate". Select the components that you want to show or hide the planes of, then right click and select the new option. The planes will toggle on or off for each selected component.
Thank-you Sergio. I have wanted something like this for years. Your script has instantly increased my productivity and made setting up constraints to reference planes much, much less tedious!!! This should be a standard feature.
Unfortunately I couldn't try tdant's plugin as the powers that be won't let me install software.
EOPQuery = MsgBox("Would you like to turn visibility of all planes off?" _ & vbCrLf & "Click 'Yes' to turn off." _ & vbCrLf & "Click 'No' to turn on." _ , vbYesNo, "Sketch Visibility") Dim comps As ObjectCollection Dim comp As Object comps = ThisApplication.TransientObjects.CreateObjectCollection While True comp = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kAssemblyOccurrenceFilter, "Select a component") If IsNothing(comp) Then Exit While comps.Add(comp) End While If EOPQuery = vbYes Then For Each comp In comps Dim workPlanes As WorkPlanes workPlanes = comp.Definition.WorkPlanes If workPlanes.Count > 0 Then For i = 1 To workPlanes.Count If workPlanes.Item(i).Visible = True Then workPlanes.Item(i).Visible = False Else workPlanes.Item(i).Visible = False End If Next Else MsgBox("Selected component does not have any workplanes.") End If Next Else If EOPQuery = vbNo Then For Each comp In comps Dim workPlanes As WorkPlanes workPlanes = comp.Definition.WorkPlanes If workPlanes.Count > 0 Then For i = 1 To workPlanes.Count If workPlanes.Item(i).Visible = False Then workPlanes.Item(i).Visible = True Else workPlanes.Item(i).Visible = True End If Next Else MsgBox("Selected component does not have any workplanes.") End If Next End If ThisApplication.ActiveView.Update
Amazing! Great help!
I have a quick query regarding the content center parts. Is it possible to implement a feature that allows the planes of these content center parts to be hidden and shown?
Can't find what you're looking for? Ask the community or share your knowledge.